Is the Firefox Beta add-on not getting updated?

I'm running 1.72.2.beta which was released on 10/18/19.
But reading the Release Notes it's been updated to 1.72.3.beta on 11/6/19.
I tried to force update add-ons, no go.
I re-downloaded the link posted in here https://discussions.agilebits.com/discussion/comment/523572/#Comment_523572
That link goes to latest.xpi so I would've thought it was the latest.

I'm hoping the Integration with the 1P Beta Mac client can be resolved.


1Password Version: 7.4-BETA-0
Extension Version: 1.72.2 Firefox
OS Version: 10.15
Sync Type: Not Provided

Comments

  • kaitlynkaitlyn

    Team Member

    Hey there @NeckBeardPrince! Thanks for bringing this up. We've been having a bit of trouble with the Firefox beta, so I'm not able to get it to update to 1.17.3 on my end either. We're planning on publishing a new beta in the near future to help with this, however, it won't have any updates in regards to Desktop App Integration. Could you let me know what's going wrong? I may be able to help you out with it in the meantime, even while you have version 1.17.2 installed.

  • @kaitlyn All I ever get is the "Unable to establish connection with the 1Password desktop app" message.
    I noticed when I click on 1Password Mini it's asking me to install the 1Password Extension in Firefox.
    Just to be clear I only have 1PasswordX add-on and 1Password Beta Mac client.

  • kaitlynkaitlyn

    Team Member

    @NeckBeardPrince – If you wouldn't mind, it'd be helpful to see both a diagnostics report from your computer and your 1Password X logs. That should help me get to the bottom of it. Could you send those to be over email? Here are the instructions:

    You can email them to [email protected] Please include a link to this forum post so we can match them up. We'll take a look and go from there!

  • chrism229chrism229
    edited March 25

    I'm having the same issue of the Firefox 1Password beta (v1.19.0) claiming it is unable to establish a connection with a desktop app (I have IPassword 7.4.3 installed), and refuses to unlock with Touch ID. I'm going to go back to the standard extension until this is fixed as my master password is very long and I'd prefer to use TouchID to open the extension. Using Firefox 74.0.

  • ag_anaag_ana

    Team Member

    @chrism229:

    As mentioned above in this discussion, you need to update to 1Password for Mac beta too in order to use Desktop App Integration. You wrote that you are running 1Password 7.4.3 though, which is the stable version.

  • Why, thank you - in swapping from a MacBook Air to a MacBook Pro I had overlooked the need to remember to turn on betas. Thanks very much!
    PS It worked. You're good at this!

  • ag_tommyag_tommy

    Team Member

    On behalf of ag_ana, you're welcome.

Leave a Comment

BoldItalicStrikethroughOrdered listUnordered list
Emoji
Image
Align leftAlign centerAlign rightToggle HTML viewToggle full pageToggle lights
Drop image/file